document.addEventListener("DOMContentLoaded", function () {

  var pixel = require("node-pixel");
  var five = require("johnny-five");
  require("nwjs-j5-fix").fix();

  var board = new five.Board();
  var strip;

  board.on("ready", function() {

    // Using a single Arduino Uno board
    strip = new pixel.Strip({
      board: this,
      controller: "FIRMATA",
      strips: [ {pin: 6, length: 30} ], // A single strip of 30 LEDs connected to digital out #6
      gamma: 2.8
    });

    // // Using an Arduino Nano (backpack) connected to an Arduino Uno (to control more LEDs)
    // strip = new pixel.Strip({
    //   board: this,
    //   controller: "I2CBACKPACK",
    //   strips: [30], // A single LED strip connected to output D0 (labeled RXD on the Nano)
    // });

    strip.on("ready", function() {

      var index = 0;

      setInterval(function () {

        strip.color("#000");
        strip.pixel(index).color("#f00");
        strip.show();

        if (++index >= strip.length) index = 0;

      }, 50);

    });

    // Clearing the LED strip on close
    nw.Window.get().on('close', function() {
      strip.clear();
      this.close(true);
    });

  });

});
